Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class StreamParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.util.StreamParsingException

All Implemented Interfaces:
  java.io.Serializable

    public class StreamParsingException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`StreamParsingException(java.lang.String message, java.lang.Throwable e)`

Method Summary
`java.lang.Throwable` | `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamParsingException

    public StreamParsingException(java.lang.String message,
                                  java.lang.Throwable e)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD